// ========================================
// Skybox
// ========================================

textures/summertorture/craterlake
{
	qer_editorImage env/craterlake/craterlake_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_globalTexture
	q3map_sunExt 1 0.95 0.95 100 90 60 0.5 32
    q3map_skylight 150 8
	skyparms env/craterlake/craterlake - -
}

// ========================================
// Rock
// ========================================

textures/summertorture/rock_new7a
{
    qer_editorImage textures/summertorture/rock_new7a.tga
    q3map_tcMod scale 4 4
    {
        map textures/summertorture/rock_new7a.tga
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

// For models to prevent double scaling
textures/summertorture/rock_new7a_noscale
{
    qer_editorImage textures/summertorture/ei/rock_new7a_noscale.tga
    // q3map_tcMod scale 4 4
    q3map_lightImage textures/summertorture/rock_new7a.tga
    {
        map textures/summertorture/rock_new7a.tga
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

textures/summertorture/rock1a1
{
    qer_editorImage textures/summertorture/rock1a1.tga
    q3map_tcMod scale 4 4
    {
        map textures/summertorture/rock1a1.tga
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

// For models to prevent double scaling
textures/summertorture/rock1a1_noscale
{
    qer_editorImage textures/summertorture/ei/rock1a1_noscale.tga
    // q3map_tcMod scale 4 4
    q3map_lightImage textures/summertorture/rock1a1.tga
    {
        map textures/summertorture/rock1a1.tga
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

// ========================================
// Sand
// ========================================

textures/summertorture/waves3a1
{
    qer_editorImage textures/summertorture/waves3a1.tga
    q3map_tcMod scale 4 4
    surfaceparm gravelsteps
    {
        map textures/summertorture/waves3a1.tga
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

// For models to prevent double scaling
textures/summertorture/waves3a1_noscale
{
    qer_editorImage textures/summertorture/ei/waves3a1_noscale.tga
    // q3map_tcMod scale 4 4
    q3map_lightImage textures/summertorture/waves3a1.tga
    surfaceparm gravelsteps
    {
        map textures/summertorture/waves3a1.tga
        rgbGen identity
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

// ========================================
// Ice
// ========================================

textures/summertorture/ice
{
    qer_editorImage textures/summertorture/ei/ice.tga
    qer_trans 0.75
    surfaceparm slick
    surfaceparm glass
    surfaceparm trans
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen const 0.5
        rgbGen const ( 0 0.38 0.81 )
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/effects/envmap_gold.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        tcGen environment
        tcMod scale 2 2
        rgbGen identity
    }
}

// ========================================
// Water (from Saberpeak)
// ========================================

textures/summertorture/sp_mediumWater
{
	qer_editorImage textures/summertorture/sp_mediumWater.tga
    qer_trans 0.75
	q3map_tcGen ivector ( 128 0 0 ) ( 0 128 0 )
    surfaceparm water
	surfaceparm trans
	cull none
	{ 
		map textures/summertorture/sp_mediumWater.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scroll 0.03 0
	}
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
}

// ========================================
// FX shaders
// ========================================

// Save gems
textures/summertorture/savefx
{
    qer_editorImage textures/summertorture/ei/savefx.tga
    qer_trans 0.75
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nolightmap
    cull none
    {
        map $whiteimage
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen const 0.5     
        rgbGen const ( 0.0 1.0 0.87 )
    }
    {
        map textures/effects/envmap_gold.tga
        blendFunc GL_DST_COLOR GL_SRC_COLOR
        tcGen environment
        tcMod scale 2 2
        rgbGen identity
    }
}

// Jump pad
textures/summertorture/bluefx_scroll
{
    qer_editorImage textures/summertorture/ei/bluefx_scroll.tga
    qer_trans 0.75
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nolightmap
    cull none
    {
        map textures/summertorture/bluefx_fade.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0 0.16 0.55 )
        tcMod scroll 0 0.5
    }
    // 2nd pass for increased intensity
    {
        map textures/summertorture/bluefx_fade.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0 0.16 0.55 )
        tcMod scroll 0 0.5
    }
}

// Inner jump pad FX
textures/summertorture/bluefx_scroll_fast
{
    qer_editorImage textures/summertorture/ei/bluefx_scroll_fast.tga
    qer_trans 0.75
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nolightmap
    cull none
    {
        map textures/summertorture/bluefx_fade.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0 0.16 0.55 )
        tcMod scroll 0 1
    }
    // 2nd pass for increased intensity
    {
        map textures/summertorture/bluefx_fade.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0 0.16 0.55 )
        tcMod scroll 0 1
    }
}

// End trigger
textures/summertorture/turquoisefx_fade
{
    qer_editorImage textures/summertorture/ei/turquoisefx_scroll.tga
    qer_trans 0.75
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm nolightmap
    cull none
    {
        map textures/summertorture/turquoisefx_fade.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.0 0.5 0.42 )
        tcMod scroll 0 0.5
    }
    // 2nd pass for increased intensity
    {
        map textures/summertorture/turquoisefx_fade.tga
        blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
        alphaGen vertex
        rgbGen const ( 0.0 0.5 0.42 )
        tcMod scroll 0 0.5
    }
}
